!(function ($, window, document, _undefined) {
	'use strict';

	const cookieColorName = 'xenThemeColor';

	XF.XaChangeColor = XF.Element.newHandler({
		options: {
			target: null,
		},

		init: function () {
			this.$target.on('click', $.proxy(this, 'changeColor'));
		},

		changeColor: function (e) {
			e.preventDefault();
			var colorCode = e.target.dataset.colorCode;
			XF.Cookie.remove(cookieColorName);
			XF.Cookie.set(cookieColorName, colorCode);
			document.documentElement.style.setProperty('--styleDefaultColor', colorCode);
			console.log('%cColor Has been Change', 'font-size: 3em; color: ' + colorCode);
		},
	});

	XF.Element.register('xa-change-color', 'XF.XaChangeColor');
})(jQuery, window, document);
